
{{init-component}}
<section class="header">
    <div class="row">
        <div class="col-xs-12 col-sm-8">
            {{#link-to "projects" class='header__logo'}}DevTeam.Space{{/link-to}}
        </div>
        <div class="col-xs-12 col-sm-4 text-right">
            {{#if user.isSuperAdmin}} {{#link-to "administrate" class='underline'}}Administrate{{/link-to}} | {{/if}} {{#link-to "projects" class='underline'}}Projects{{/link-to}} | <a {{action 'logOut'}} class="underline">Logout</a>
        </div>
    </div>
</section>
<section>
    <div class="row">
        <div class="col-xs-12 col-sm-6" id="l-col-1">
            <div class="l-left">
                <div class="jsLeft">
                    <div class="customscroll" style="overflow: scroll;">
                        <div class="project-form">
                            <form role="form">
                                 {{#if project.isNew}}
                                    <div class="pulsar">
                                       <div class="ring"></div>
                                       <div class="ring"></div>
                                       <div class="ring"></div>
                                       <div class="ring"></div>
                                    </div>
                                 {{/if}}
                                {{#if project.isEdit}}
                                <div class="form-group">
                                    {{input maxlength='40' value=project.title class="form-control" placeholder="Enter your project name"}}
                                </div>
                                <div class="row">
                                    <div class="col-xs-12 col-md-8">
                                        <div class="form-group">
                                            {{textarea rows="6" cols="45" value=project.description class="form-control" placeholder="Enter project description"}}
                                        </div>
                                    </div>
                                    <div class="col-xs-12 col-md-4">
                                        <div class="form-group">
                                            {{input value=project.owner.mail class="form-control" placeholder="Your email"}}
                                        </div>
                                        <div class="form-group">
                                            {{input value=project.owner.name class="form-control" placeholder="Your name"}}
                                        </div>
                                        <div class="form-group">
                                            {{input value=project.owner.phone class="form-control" placeholder="Your phone"}}
                                        </div>
                                    </div>
                                </div>
                                <button {{action 'save'}} class="btn btn-info">Save Project</button>
                                <button {{action 'cancel'}} class="btn btn-warning">Cancel</button>
                                {{else}}
                                <div class="form-group">
                                    <h4 class='media-heading'>{{project.title}}</h4>
                                </div>
                                <div class="row">
                                    <div class="col-xs-12 col-md-8">
                                        <div class="form-group">
                                            {{convert-textarea value=project.description}}
                                        </div>
                                    </div>
                                    <div class="col-xs-12 col-md-4">
                                        <div class="form-group elip">
                                            {{project.owner.mail}}
                                        </div>
                                        <div class="form-group elip">
                                            {{project.owner.name}}
                                        </div>
                                        <div class="form-group elip">
                                            {{project.owner.phone}}
                                        </div>
                                    </div>
                                </div>
                                {{#unless user.isDeveloper}}
                                    <button {{action 'edit'}} class="btn btn-info">Edit Project</button>
                                    {{#if project.stratProjectBut}}
                                        {{#unless user.isCustomer}}
                                        <button {{action 'startProject'}} style='position: relative' class="btn btn-success">Start Project</button>
                                        {{/unless}}  
                                    {{/if}} 
                                {{/unless}}  
                                {{/if}}
                                
                            </form>
                        </div>
                        <div class="pm-card">
                            <div class="media">
                                <div class="media-body">
                                    <div><h4 class="media-heading">Project Manager</h4></div>
                                    <div class="row">
                                        <div class="col-xs-4 col-sm-3 col-md-3">
                                            <img class="media-object" src="{{project.manager.image}}" />
                                        </div>
                                        <div class="col-xs-4 col-sm-5 col-md-5">
                                            <p class="pm-card__row">{{project.manager.name}}</p>
                                            <p class="pm-card__row">Completed {{project.manager.finished}} projects</p>
                                            <p class="pm-card__row">Managed up to {{project.manager.managed}} deployers</p>
                                        </div>
                                        <div class="col-xs-4 col-sm-4 col-md-4">
                                            <p class="pm-card__row one-row"><a href="tel:{{project.manager.phone}}" class="underline">{{project.manager.phone}}</a>
                                            </p>
                                            <p class="pm-card__row one-row"><a href="mailto:{{project.manager.mail}}" class="underline">{{project.manager.mail}}</a>
                                            </p>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="dev-team">
                            <div class="dev-team__table">
                                <div class="dev-team__row">
                                    <div class="dev-team__cell dev-team__cell_min">
                                        <div class="dev-team__label">
                                           Dev Team
                                        </div>
                                    </div>
                                    <div class="dev-team__cell top1">
                                        {{#if project.isEmptyDevelopers}} Your team will be listed here {{else}}
                                        <div class="dev-team__list">
                                             {{#each project.developers as |developer|}}
                                            <a class="dev-team__item">
                                                <img src="{{developer.image}}" alt="">
                                            </a>
                                            {{/each}}
                                        </div>
                                        {{/if}}

                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="custom-links ng-scope" ng-controller="docsController">
                               {{#if user.isCustomer}} 
                                {{#if project.isLinks}}
                                    <div class="pulsar">
                                       <div class="ring"></div>
                                       <div class="ring"></div>
                                       <div class="ring"></div>
                                       <div class="ring"></div>
                                    </div>
                                 {{/if}}
                                 {{/if}}
                            <div class="custom-links__list docLinks" style="display: inline-block">
                                {{#each project.links as |link|}}
                                    <span><a class=" underline" href="{{link.link}}" target="_blank">{{link.title}}</a><i {{action 'deleteLink' link}} class="glyphicon glyphicon-remove"></i>
                                    </span>
                                {{/each}}
                                <button class="btn btn-success" style="display: block" data-toggle="modal" data-target="#link">Add Link</button>
                            </div>
                            
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <div class="col-xs-12 col-sm-6 hiddenBtn_true" id="l-col-2">
            <div class="jsRight ng-scope" ng-controller="statusbarController" style="width: 555px;">
                <div class="project-status" {{action 'setStatus'}}>
                    <div class="progress-box ng-scope" ng-controller="statusBar">
                        <!--div class="percentage-cur" ng-init="selectedRange=0"-->
                        <div class="percentage-cur">
                            <span class="num">{{project.status}}%</span>
                        </div>
                        <div  class="progress-bar progress-bar-slider">
                            <div class="inner" style="width: {{project.status}}%;"></div>
                        </div>
                    </div>
                </div>
                <div class="project-status-btn text-center ">
                     {{#unless user.isCustomer}}
                        <button class="btn btn-warning" data-toggle="modal" data-target="#report">Add Report</button>
                     {{/unless}}
                </div>
            </div>
            <br clear="all">
            <div class="feed-content">
                <div>
                    <div>
                        <dl class="feed-item">
                            <b>Estimated Completion Date</b> {{#unless isEstimated}}
                            <span {{action 'addDate'}} class="fa fa-icon fa-pencil text-light-gray"></span>
                            <div>{{project.deadline}}</div>
                            {{else}}
                            <span {{action 'saveDate'}} class="fa fa-icon fa-floppy-o text-light-gray"></span>
                            <div class="form-group">
                                {{input-mask mask="99/99/9999"  value=project.deadline insert-newline='saveDate' class="textareas form-control" placeholder="Enter daedlines"}}

                            </div>
                            {{/unless}}
                            <br clear="all" />

                            <b>Roadblocks</b> {{#unless isRoad}}
                            <span {{action 'addBlock'}} class="fa fa-icon fa-pencil text-light-gray"></span> {{convert-textarea value=project.roadblocks}} {{else}}
                            <span {{action 'saveRoadblocks'}} class="fa fa-icon fa-floppy-o text-light-gray"></span>
                            <div class="form-group">
                                {{message-textarea class="textareas form-control" value=project.roadblocks action="saveRoadblocks"}}
                            </div>
                            {{/unless}}
                            <br clear="all" />
                            <b>Remaining Tasks</b> {{#unless isTask}}
                            <span {{action 'addTask'}} class="fa fa-icon fa-pencil text-light-gray"></span> {{convert-textarea value=project.tasks}} {{else}}
                            <span {{action 'saveTask'}} class="fa fa-icon fa-floppy-o text-light-gray"></span>
                            <div class="form-group">
                                {{message-textarea class="textareas form-control" value=project.tasks action="saveTask"}}

                            </div>
                            {{/unless}}
                            <!-- <div class="form-group">
                           {{input value=tasks class="textareas form-control"  insert-newline='addTask'  placeholder="Enter task"}} <span {{action 'addTask'}} class="fa fa-icon fa-plus text-light-gray"></span>
                           <br clear="all"/>
                           <ul class="list-unstyled">
                           {{#each project.tasks as |block|}}
                              <li>
                                 <span class="{{block.isComplite}}">{{block.name}}</span>
                                  <span {{action 'compliteTask' block}} class="fa fa-icon fa-trash text-light-gray"></span>
                                   <span {{action 'deleteTask' block}} class="fa fa-icon fa-trash text-light-gray"></span>
                              </li>
                           {{/each}}
                           </ul>
                        <br>
                        </div>-->
                        </dl>
                    </div>
                    <div class="feed">
                        {{#each project.sortedItems as |report|}}
                        <div class="feed-item allreports" data-role={{user.role}} data-id={{report.owner.id}} data-user={{user.id}}>
                            <dt class="feed-item__title">
                              <img class="feed-item__title__ava" src="{{report.owner.image}}"/>
                              <h4 class="feed-item__title__name">{{report.owner.name}}</h4>
                              <span class="feed-item__title__name">{{report.formattedDate}}</span>
                           </dt>
                            <dd class="feed-item__content">
                                {{#if report.isEdit}} {{message-textarea class="textareas form-control" value=report.body action="saveReport"}} {{else}} {{convert-textarea value=report.body}} {{/if}}
                            </dd>
                            <dd class="feed-item__control">
                                {{#if report.isEdit}}
                                <a class="btn btn-xs btn-success" {{action 'saveReport' report}}>Save</a> {{else}}
                                
                                <a class="editRepo btn btn-xs btn-info" {{action 'editReport' report}}>Edit</a> 

                                {{/if}}
                                <a class="btn btn-xs btn-primary" href="
                                mailto:{{report.owner.mail}}%20?subject=DTS,%20report%20reply,%20{{project.title}},%20{{user.name}}&cc={{project.manager.mail}},%20reports@devteam.space&body=Hi%20{{report.owner.name}}!%0A%0A__Dear%20{{user.firstName}},%20please%20write%20your%20reply%20here__%0A%0A{{project.title}},%20report%20from%20​{{report.owner.name}},%20​{{report.formattedDate}}%0A%0A{{report.body}}%0A%0AThanks,%0A{{user.name}}">Reply</a> 
                            </dd>
                        </div>
                        {{/each}}
                    </div>
                </div>
            </div>
        </div>
    </div>
</section>

<div class="modal fade" id="report" tabindex="-1" role="dialog" aria-hidden="true">
  <div class="modal-dialog"><div class="modal-content"><div class="modal-header"><button type="button" class="close" data-dismiss="modal" aria-hidden="true">×</button><h4 class="modal-title ng-binding">Add Report</h4></div><div class="modal-body" ng-transclude="">
                  <form>
                     <div class="form-group">
                        {{textarea rows="6" class="form-control" value=report}}
                     </div>
                     <div class="form-group text-center">
                        <a class="custom-links__item  btn btn-warning btn-md" {{action 'newRepotr'}}>Save Report</a>
                     </div>
                  </form>
   </div></div></div>
</div>
<div class="modal fade" id="link" tabindex="-1" role="dialog" aria-hidden="true">
<div class="modal-dialog"><div class="modal-content"><div class="modal-header"><button type="button" class="close" data-dismiss="modal" aria-hidden="true">×</button><h4 class="modal-title ng-binding">New Link</h4></div><div class="modal-body" ng-transclude="">
                           <form class="ng-scope ng-pristine ng-valid">
                              <div class="form-group">
                                 {{input value=linkTitle placeholder="Title" class="form-control"}}
                              </div>
                              <div class="form-group">
                                 {{input value=linkHref placeholder="Link" class="form-control"}}
                              </div>
                              <div class="form-group text-center">
                                 <a class="custom-links__item links btn btn-success" {{action 'addLink'}}>Add link</a>
                              </div>
                           </form>
                        </div></div></div>
</div>